Page MenuHomePhabricator

Phabricator upgrade on 2015-01-14
Closed, ResolvedPublic

Description

Creating a placeholder for the next Phabricator upgrade, as per T76522

Tasks solved upstream but still not deployed in phabricator.wikimedia.org should add this task as blocker.

https://www.mediawiki.org/wiki/Phabricator/Maintenance

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedNone
ResolvedQgil
ResolvedQgil
Duplicatechasemp
ResolvedAklapper
Resolveddemon
Resolveddemon
ResolvedQgil
ResolvedQgil
Resolveddemon
ResolvedQgil
ResolvedQgil
ResolvedNone
Resolvedchasemp
Resolvedmmodell
Resolvedchasemp
Resolvedchasemp

Event Timeline

Qgil created this task.Dec 11 2014, 7:04 AM
Qgil raised the priority of this task from to Low.
Qgil updated the task description. (Show Details)
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, chasemp.
chasemp claimed this task.Dec 22 2014, 7:46 PM
Qgil moved this task from To Triage to Ready to Go on the Phabricator board.Dec 23 2014, 3:28 PM

What should happen to tasks when they get added here? Should they be closed, or should they be kept open (or 'stalled'?) until after deployment, then closed after testing?

Qgil added a comment.Jan 4 2015, 11:43 PM

I'm closing them, since they are resolved upstream and we are only waiting for their deployment here. There is nothing else to do about them, so I'd rather remove them from lists etc.

Is this upgrade in fact blocked by T85123: Create a continuous integration plan for Wikimedia Phabricator patches and the fact that @mmodell and @Christopher's large patches on the Security and Sprint extensions need to be in sync? @modell also mentioned somewhere that upstream has done giant steps in the past weeks, making this upgrade specially complex.

chasemp added a subscriber: csteipp.Jan 7 2015, 7:06 PM
In T78243#958938, @Qgil wrote:

Is this upgrade in fact blocked by T85123: Create a continuous integration plan for Wikimedia Phabricator patches and the fact that @mmodell and @Christopher's large patches on the Security and Sprint extensions need to be in sync? @modell also mentioned somewhere that upstream has done giant steps in the past weeks, making this upgrade specially complex.

Most relevant cross post: https://phabricator.wikimedia.org/T518#957604

Essentially, we spent time deploying the "new fangled security extension" but it didn't go great. We ran into some purely deployment problems, which we solved. But there was an issue with some existing behavior (where you can transform an existing issue that has already been created by selecting the security bug option in the drop down) and the behavior that was not doing the expected has been noted as super important before by @csteipp. So in the end we fell back to the older extension version.

To top it off upstream has made some underlying changes to teh CC infrastructure (really making it more consistent on their side) but that means @mmodell has to step back and incorporate those into the "any cc'd user can access the ticket" logic he wrote.

On top of that, the Sprint app needs to coordinated with the version of Phab we are running.

At the end of Monday (5th) I asked Mukunda if he could sync with christopher on a version of phab so they have common expectation and Mukunda is going to work out the kinks in the extension.

We could in theory upgrade while using the older extensions, assuming it works but that would entail coordination with @Christopher at least.

Upstream had bigger changes so for our next upgrade / pull we'll have to take Phab down for a bit longer (max 2h, to be on the safe side?).

I think the security extension is ready: https://gerrit.wikimedia.org/r/#/c/183457/

I've tagged the relevant commits in the libphutil and phabricator repos as release/2015-01-08/1
I also made sure the changes are on a branch named 'production'

Sprint 0.6.2.7 needs to be part of this phabricator upgrade. @chasemp, please note that keeping the old Sprint extension with the new phabricator will not work. I just checked out the "production" branch based on c0e15f2c6587d68bdc894d365fe0a8ddc04bde6f and tested it with Sprint on phab08.wmflabs,org and there do not seem to be any new breaking changes.

As requested in T85123, the Sprint extension has been tagged with the same tag: release/2015-01-08/1 and has a branch called production.

@Christopher: Awesome, thanks for that.

Change 184802 had a related patch set uploaded (by Rush):
phab update (and peripherals) for T78243

https://gerrit.wikimedia.org/r/184802

Patch-For-Review

chasemp renamed this task from Next Phabricator upgrade on YYYY-MM-DD (to be defined) to Next Phabricator upgrade on 2015-01-14.Jan 13 2015, 11:19 PM
chasemp raised the priority of this task from Low to High.Jan 14 2015, 2:51 PM
chasemp updated the task description. (Show Details)Jan 14 2015, 2:55 PM

I closed the maint window, I think things are ok (did brief resanity testing that the securityevent listener is...listening). Search has to reindex which will take awhile. Currently at 19%

fwiw indexable docs:

Indexing 17 object of type CONP.
Indexing 86144 object of type TASK.
Indexing 5 object of type CDTL.
Indexing 999 object of type PROJ.
Indexing 371602 object of type CMIT.
Indexing 1474 object of type USER.
Indexing 34 object of type MOCK.
chasemp closed this task as Resolved.Jan 14 2015, 4:06 PM

fwiw indexable docs:

Indexing 17 object of type CONP.
Indexing 86144 object of type TASK.
Indexing 5 object of type CDTL.
Indexing 999 object of type PROJ.
Indexing 371602 object of type CMIT.
Indexing 1474 object of type USER.
Indexing 34 object of type MOCK.

done

chasemp renamed this task from Next Phabricator upgrade on 2015-01-14 to Phabricator upgrade on 2015-01-14.Jan 14 2015, 4:07 PM
mmodell mentioned this in Unknown Object (Diffusion Commit).Apr 8 2015, 4:33 PM
Danny_B moved this task from Ready to Go to Upgrades on the Phabricator board.Jul 12 2016, 12:20 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 12 2016, 12:20 PM